Bug 55882 - Incorrect host key type
Summary: Incorrect host key type
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssh   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
high
high
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-08 08:52 UTC by Neil Darlow
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-08 08:53:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Neil Darlow 2001-11-08 08:52:55 UTC
Description of Problem:
Protocol Version 2 adds new hosts to known_hosts2 using RSA key


Version-Release number of selected component (if applicable):
2.9p2-9


How Reproducible:
Every time


Steps to Reproduce:
1. Add a new host to known_hosts2 by SSH to unknown system
2. 
3. 

Actual Results:
The .ssh/known_hosts2 entry has a ssh-rsa encoded public key

Expected Results:
The .ssh/known_hosts2 entry should have a ssh-dss encoded public key

Additional Information:
Each end of connection running 2.9p2-9 on Red Hat 7.2
Server has an /etc/ssh/ssh_host_dsa_key and /etc/ssh/ssh_host_dsa_key.pub
Performing the same action against a FreeBSD 2.6 server gets a ssh-dss
public key in .ssh/known_hosts2

Comment 1 Nalin Dahyabhai 2002-03-07 17:12:04 UTC
OpenSSH versions 2.9 and up also support RSA keys for SSH2, so this is expected
behavior.


Note You need to log in before you can comment on or make changes to this bug.